Can't update server to Spigot 1.14.3

  • 276 Views
  • Last Post 02 July 2019
  • Topic Is Solved
fre303 posted this 30 June 2019

OS Name/Version: Windows 10 Pro Build 17763

Product Name/Version: McMyAdmin 2.7.1.0

Problem Description: The server won't update to the latest version of Spigot (1.14.3) even when changing to beta releases. Instead, it downloads 1.13.2.

Actions taken to resolve so far: Tried to build the spigot version myself and put it in the server directory. It still justs downloads 1.13.2.

Order By: Standard | Newest | Votes
Mike posted this 01 July 2019

Does 1.14.3 show in the list of available versions in the drop down?

fre303 posted this 01 July 2019

I don't see any version dropdown in the panel. Only Server type, and Server release stream.

Mike posted this 01 July 2019

It's right after Release Stream called Spigot/CraftBukkit Version.

fre303 posted this 01 July 2019

I don't see any version selector. I would post a picture, but it gives me an error when I try to post one.

fre303 posted this 02 July 2019

I tried again, but it still won't update to the latest.

Something I think is worth a note is that it gave me a null reference error when I logged in saying "An exception occurred handling the getversions method. Object reference not set to an instance of an object."

The version selector you talked about doesn't show up either. Maybe because of the above?

Mike posted this 02 July 2019

OOh sorry you're on McMyAdmin 2, I didn't notice that before. Only AMP has the ability to install absolutely any version. For MCMA2 you need to supply the jar file yourself if its anything other than the default version.

If you have a Pro licence you should ideally upgrade to MCMA3/AMP, but otherwise you'll need to run buildtools yourself for the jar.

fre303 posted this 02 July 2019

Fair enough.

Have a great day.

Close